%define modname expect
%define soname %{modname}.so
%define inifile A68_%{modname}.ini

Summary:	PHP extension for expect library
Name:		php-%{modname}
Version:	0.4.0
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/expect
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		php8.patch
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  php-webinterface
BuildRequires:	mercurial
BuildRequires:	expect-devel
BuildRequires:	pkgconfig(tcl)
BuildRequires:	file
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.0.0
Requires:       php-common = 3:8.0


%description
This extension allows to interact with processes through PTY, using expect
library.

%prep

%autosetup -S hg -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

# borked libname
libexpect=`basename %{_libdir}/libexpect*.*.so | sed -e 's/^lib//' | sed -e 's/\.so$//'`
perl -pi -e "s|-lexpect|-l$libexpect|g" Makefile

%make_build

%install
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}/var/log/httpd

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[expect]
;expect.logfile = /var/log/httpd/%{name}.log
expect.loguser = On
expect.timeout = 10
EOF

# install log rotation stuff
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} << EOF
/var/log/httpd/%{name}.log {
    create 644 apache apache
    monthly
    compress
    missingok
}
EOF

touch %{buildroot}/var/log/httpd/%{name}.log

%post
if [ $1 = 1 ]; then
    %create_ghostfile /var/log/httpd/%{name}.log apache apache 644
fi

%files
%doc package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%ghost %attr(0644,apache,apache) /var/log/httpd/%{name}.log




%changelog
* Tue Dec 29 2020 mokraemer <mokraemer> 0.4.0-2.mga8
+ Revision: 1665355
- duplicate autopatch
- patch for php8
- new version 0.4.0

* Wed Jul 22 2020 mokraemer <mokraemer> 0.3.3-15.mga8
+ Revision: 1607878
- resolve mod_php conflict

* Thu Jun 18 2020 mokraemer <mokraemer> 0.3.3-14.mga8
+ Revision: 1596238
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 0.3.3-13.mga8
+ Revision: 1538973
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 0.3.3-12.mga8
+ Revision: 1463519
+ rebuild (emptylog)

* Wed Dec 12 2018 mokraemer <mokraemer> 0.3.3-10.mga7
+ Revision: 1340432
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 0.3.3-9.mga7
+ Revision: 1325837
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 0.3.3-8.mga7
+ Revision: 1300218
- Mageia 7 Mass Rebuild

* Mon Feb 26 2018 daviddavid <daviddavid> 0.3.3-7.mga7
+ Revision: 1205299
- rebuild for new libexpect 5.45.4

* Sun Dec 03 2017 mokraemer <mokraemer> 0.3.3-6.mga7
+ Revision: 1180965
+ rebuild (emptylog)

* Tue Nov 14 2017 zezinho <zezinho> 0.3.3-5.mga7
+ Revision: 1177353
- new version

* Sat Mar 12 2016 daviddavid <daviddavid> 0.3.3-4.mga6
+ Revision: 989606
- rebuild against fixed expect
- fix more -lexpect linking

* Wed Feb 17 2016 umeabot <umeabot> 0.3.3-3.mga6
+ Revision: 963868
- Mageia 6 Mass Rebuild
+ tv <tv>
- rebuild for new libexpect
- BR pkgconfig(tcl)
+ spuhler <spuhler>
- upgrade to vers. 0.3.3

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-10.mga5
+ Revision: 745724
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-9.mga5
+ Revision: 687121
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 0.3.1-8.mga5
+ Revision: 616548
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 0.3.1-7.mga4
+ Revision: 567654
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.3.1-6.mga4
+ Revision: 527832
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.3.1-5.mga4
+ Revision: 442631
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.3.1-4.mga3
+ Revision: 393261
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 375741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.3.1-2.mga2
+ Revision: 223884
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.3.1-1.mga2
+ Revision: 185178
- upgrade to 0.3.1

* Sun Feb 06 2011 spuhler <spuhler> 0.2.7-5.mga1
+ Revision: 47878
- removed buildroot definition from .spec
- imported package php-expect

